Skip to main content
POST
Release

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string
required
Pattern: ^[1-9]\d*$
collectionId
string
required
Pattern: ^[1-9]\d*$

Body

application/json
version
integer
required
Required range: x <= 9007199254740991
label
string | null
Required string length: 1 - 255
releaseTypeId
string | null
Pattern: ^[1-9]\d*$
notes
string | null
Maximum string length: 2000
releaseDate
string<date> | null
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$

Response

201 - application/json
id
string
required
number
number
required

The version. Render as "v3".

label
string | null
required
releaseType
object | null
required
notes
string | null
required
releaseDate
string
required

Date-only, YYYY-MM-DD. Never format this as an instant.

releasedAt
string
required

ISO instant.

actorUserId
string | null
required
actorName
string | null
required
familyCount
number
required

Catalogue products this release covered.

entryCount
number
required

Lines the release published.

collectionId
string | null
required

Null for an ownerless release, which outlived its collection.